
Figure - Bug #117044
【BSP】【蓝牙】副屏未连接中控，禁用音频控制，连接蓝牙音箱/蓝牙耳机，低概率出现一段时间后蓝牙音
箱/蓝牙耳机无声音输出，重启设备后恢复正常
2023-03-20 16:12 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-03-20

Priority: High Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version: VC1_FSE_0094_20230425

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303191230

Resolution: INVALID Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Free Test Root cause: 该问题的测试场景不合理，需要连接中控测试，该问题申请关闭。

Description

【测试步骤】

蓝牙连接AirPods 耳机或RB-M9音响，连接成功后打开QQ音乐/腾讯视频播放音乐/视频

【预期结果】

耳机/音响有声音输出

【测试结果】

耳机/音响无声音输出

【备注】

播放本地mp3有声音输出

History

#1 - 2023-03-22 11:36 - CD BSP-唐金泽

- Status changed from New to NEED_INFO

- Assignee changed from CD BSP-唐金泽 to 物联网测试组_CDTS  唐霞 

Hi， 唐霞，

我这里使用AMP speaker和蓝牙；

FSE播放在线视频都是有声音的。

FSEM：0319的userdebug；

IDCM：0060

#2 - 2023-03-24 14:32 - 物联网测试组_CDTS  唐霞 

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 物联网测试组_CDTS  唐霞  to CD BSP-唐金泽

刷机后首次使用在线播放蓝牙设备无声音输出，重启设备后在线播放蓝牙设备声音输出正常

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102.202303240240也有该现象

#3 - 2023-04-04 16:45 - CD BSP-唐金泽

- Category changed from BSP to AUDIO-FW

- Status changed from ASSIGNED to NEED_INFO

2025-07-04 1/8



- Assignee changed from CD BSP-唐金泽 to 物联网测试组_CDTS  唐霞 

- Target version set to VC1_FSE_0094_20230425

Hi, 唐霞，

如之前沟通，

一是烧录Flatbuild后，首次启动出现；

二是烧录时，选中的Erase All选项；

该Bug帮忙继续关注一下，看下常规操作是否会出现。

1、Flatbuild过程中，不要擦除所有；

2、请关注下，非首次烧录时，是否有复现过；

3、音频使用过程中，需要连接系统台架；

以上帮忙再复现看看，若有出现，请帮忙截取tlog,并说明详细步骤。

#4 - 2023-04-12 16:42 - 物联网测试组_CDTS  唐霞 

最近一周的版本都未复现该问题

#5 - 2023-04-18 14:48 - 物联网测试组_CDTS  唐霞 

- Status changed from NEED_INFO to RESOLVED

连续复现10天均未复现，关闭问题单

#6 - 2023-04-18 14:49 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

#7 - 2023-04-18 14:52 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

最后验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202304170012

#8 - 2023-04-23 17:51 - 物联网测试组_CDTS  唐霞 

- File 666.hdf added

- File 423-5555.log added

- Status changed from CLOSED to New

- Assignee changed from 物联网测试组_CDTS  唐霞  to Multimedia组-RD3_TSCD 梁卿山

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202304220234版本复现1次

设备未连接中控，副屏连接蓝牙音箱声音正常输出，不确定什么操作导致蓝牙音箱不输出声音（这期间设备因小窗问题重启一次，出现一次系统桌面无

响应），断电重启后恢复正常

#9 - 2023-04-25 14:12 - CDTS-TEST 周婷

- Severity changed from Normal to Major
#10 - 2023-04-25 19:20 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

当前没有看到AUDIO-FW层有啥异常，

看到其他的异常日志为：

04-22 10:08:46.184 E/audio_hw_primary( 5310): out_write: error -5, cannot write stream data: I/O error

04-22 10:08:46.184 D/audio_hw_primary( 5310): out_standby: enter: stream (0xe7d4eb00) usecase(0: deep-buffer-playback)

04-22 10:08:46.434 I/mpu_uart(  651): [MSG-P:RECV]:No message received in 1000 ms

01-01 09:19:10.000 E/msm_pcm_playback_close(    0): CMD_EOS failed, cmd_pending 0x8

01-01 09:19:10.012 I/afe_close(    0): port_id = 0x400e

01-01 09:19:10.019 I/btfm_slim_disable_ch(    0): port:16, grp: 0, ch->grph:0x0, ch->ch_hdl:0x1d

01-01 09:19:10.025 I/afe_close(    0): port_id = 0x9000

...

04-22 10:08:46.737 E/bt_btif ( 2042): btif_media_send_reset_vendor_state:

04-22 10:08:46.737 D/bt_btif ( 2042): btif_av_state_started_handler: event: BTA_AV_OFFLOAD_STOP_RSP_EVT flags: 1  index = 0, reconfig_event: 0,

codec_cfg_change: 0

04-22 10:08:46.738 D/bt_btif_a2dp_source( 2042): btif_a2dp_source_command_ready: event: 7 BTIF_MEDIA_RESET_VS_STATE

04-22 10:08:46.738 W/bt_btif ( 2042): btif_av_state_started_handler: unhandled event=BTA_AV_OFFLOAD_STOP_RSP_EVT

04-22 10:08:46.760 E/bt_avp  ( 2042): avdt_ad_tc_data_ind: type: x0, tcid: 0, ccb_idx: 0

04-22 10:08:46.760 D/bt_btif ( 2042): bta_av_ssm_execute(): AV Sevent(0x41)=0x1223(STR_SUSPEND_CFM) state=3(OPEN)

04-22 10:08:46.760 W/bt_btif ( 2042): bta_dm_rm_cback:5, status:6

04-22 10:08:46.761 D/bt_btif ( 2042): btif_av_state_started_handler: event: BTA_AV_SUSPEND_EVT flags: 1  index = 0, reconfig_event: 0, codec_cfg_change: 0

04-22 10:08:46.761 I/btif_av ( 2042): isBATEnabled: 0

04-22 10:08:46.761 E/bt_btif ( 2042): bta_av_co_get_active_peer: active peer index: 0

04-22 10:08:46.761 E/bt_btif ( 2042): bta_av_co_get_active_peer: active peer index: 0

04-22 10:08:46.761 I/bt_stack( 2042): [INFO:a2dp_encoding.cc(2688)] ack_stream_suspended: result=SUCCESS_FINISHED

#11 - 2023-04-26 14:40 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD BSP-唐金泽

Hi 金泽

如上面的更新，

麻烦从audio-bsp侧看看以上错误日志是什么原因导致的呢，谢谢！

#12 - 2023-04-28 14:46 - CD BSP-唐金泽

- Assignee changed from CD BSP-唐金泽 to CD TPM-王祥林

log看，不是Audio底层的问题，请RF同学参与判断。

#13 - 2023-04-28 15:01 - CD TPM-王祥林

- Category changed from AUDIO-FW to LC

- Assignee changed from CD TPM-王祥林 to CD LC 陶洪普
洪普，

蓝牙相关，你看一下呢。

#14 - 2023-05-06 18:18 - 物联网测试组_CDTS  唐霞 

- Subject changed from 【BSP】【蓝牙】连接蓝牙耳机/音响，播放在线音乐/视频无声音（播放本地mp3有声音） to 【BSP】【蓝牙】副屏未连接中控，禁

用音频控制，连接蓝牙音箱/蓝牙耳机，低概率出现一段时间后蓝牙音箱/蓝牙耳机无声音输出，重启设备后恢复正常

副屏未连接中控，禁用音频控制，连接蓝牙音箱/蓝牙耳机，低概率出现一段时间后蓝牙音箱/蓝牙耳机无声音输出，重启设备后恢复正常（目前出现2次

）。出现这种情况后播放音乐/视频进度条是正常在走FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C1035/6号版本出现1次

#15 - 2023-05-08 17:04 - CD LC 陶洪普

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC 陶洪普 to 物联网测试组_CDTS  唐霞 

使用20230507 userdebug版本复测，断续测试2H，未复现．

根据问题描述，在无声音时，需要抓取slam path确认是否有音频传输给BT FW．

Next, 请测试复现，抓取slam path数据

#16 - 2023-05-15 10:47 - 物联网测试组_CDTS  唐霞 

- File 513-22log.txt added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 物联网测试组_CDTS  唐霞  to CD LC 陶洪普

连续长时间播放视频复现该问题

日志已上传，请研发分析

#17 - 2023-05-15 10:48 - 物联网测试组_CDTS  唐霞 

- File btsnoop_hci.log.filtered.7z added

#18 - 2023-05-16 00:24 - CD LC 陶洪普

This is reproduced in user version, there is no enough infomation.

Create one Qcom case to query help.

#19 - 2023-05-17 16:13 - CD LC涂宇

连续长时间播放视频复现该问题

日志已上传，请研发分析

相关错误如下，看起来是adsp和SLIMBUS有关。

5-13 11:21:35.794 20266 20455 D audio_hw_primary: enable_audio_route: apply mixer and update path: deep-buffer-playback bt-a2dp

01-03 07:15:39.325     0     0 I btfm_slim_alloc_port: chipset soc version:400a0200
05-13 11:21:35.794 20266 20455 D audio_route: Apply path: deep-buffer-playback bt-a2dp

05-13 11:21:35.795 20266 20455 D audio_hw_primary: select_devices: done

01-03 07:15:39.339     0     0 E afe_callback: cmd = 0x100fa returned error = 0x2

01-03 07:15:39.339     0     0 E afe_apr_send_pkt: DSP returned error[ADSP_EBADPARAM]

01-03 07:15:39.339     0     0 E afe_send_port_topology_id: AFE set topology id enable for port 0x400e failed -22

01-03 07:15:39.339     0     0 I afe_send_port_topology_id: AFE set topology id 0x112fc  enable for port 0x400e ret -22

01-03 07:15:39.339     0     0 I send_afe_cal_type: cal_index is 0

01-03 07:15:39.339     0     0 I send_afe_cal_type: dev_acdb_id[119] is 20

01-03 07:15:39.339     0     0 I afe_find_cal: cal_index 0 port_id 0x400e port_index 119

01-03 07:15:39.339     0     0 I afe_find_cal: acdb_id 20 dev_acdb_id 20 sample_rate 48000 afe_sample_rates 44100

01-03 07:15:39.339     0     0 I afe_find_cal: no matching cal_block found

01-03 07:15:39.339     0     0 W send_afe_cal_type: 12 callbacks suppressed

01-03 07:15:39.339     0     0 E         : send_afe_cal_type cal_block not found!!

01-03 07:15:39.339     0     0 I afe_send_hw_delay: port_id 0x400e rate 44100 delay_usec 0 status 0

01-03 07:15:39.340     0     0 E q6afe_load_avcs_modules: Not enough ports available

01-03 07:15:39.340     0     0 E __afe_port_start: encoder load for port 0x400e failed -22

01-03 07:15:39.340     0     0 E msm_dai_q6_prepare: afe_port_start_v2 failed error: -22

01-03 07:15:39.340     0     0 E msm-dai-q6-dev soc: qcom,msm-dai-q6:qcom,msm-dai-q6-sb-7-rx: fail to open AFE port 0x400e

01-03 07:15:39.340     0     0 E msm-dai-q6-dev soc: qcom,msm-dai-q6:qcom,msm-dai-q6-sb-7-rx: ASoC: cpu DAI prepare error: -22

01-03 07:15:39.340     0     0 E soc_pcm_prepare: Issue stop stream for codec_dai due to op failure -22 = ret

01-03 07:15:39.340     0     0 E SLIMBUS_7_RX: ASoC: backend prepare failed -22

05-13 11:21:35.820  2815  2829 E Parcel  : Expecting header 0x53595354 but found 0x0. Mixing copies of libbinder?

05-13 11:21:35.822 20266 20455 E audio_hw_primary: pcm_open_prepare_helper: pcm_prepare returned -1

01-03 07:15:39.359     0     0 I btfm_slim_disable_ch: port:16, grp: 0, ch->grph:0x0, ch->ch_hdl:0x1d

05-13 11:21:35.834 20266 20455 D hardware_info: hw_info_append_hw_type : device_name = bt-a2dp

05-13 11:21:35.834 20266 20455 D audio_hw_primary: disable_snd_device: snd_device(45: bt-a2dp)

05-13 11:21:35.834  2372  2447 I rcomm.tcservic: oneway function results for code 1599295570 on binder at 0xb40000774ab61e80 will be dropped but finished with

status UNKNOWN_TRANSACTION

05-13 11:21:35.834 20266 20455 D msm8974_platform: platform_split_snd_device: snd_device(45) num devices(0) new_snd_devices(0)

05-13 11:21:35.834 28531 28556 I gs.intelligenc: oneway function results for code 1599295570 on binder at 0x774ab682d0 will be dropped but finished with status

UNKNOWN_TRANSACTION

05-13 11:21:35.835 20266 20455 I btaudio_offload_qti: audio_stream_stop_qti

05-13 11:21:35.835 20266 20455 W btaudio_offload_qti: handle_hidl_request: suspending audio stream

#20 - 2023-05-18 10:57 - CD LC 陶洪普

Qcom case: 06630644

与上面我们分析一致

01-03 07:15:39.340     0     0 E msm-dai-q6-dev soc: qcom,msm-dai-q6:qcom,msm-dai-q6-sb-7-rx: fail to open AFE port 0x400e

01-03 07:15:39.340     0     0 E msm-dai-q6-dev soc: qcom,msm-dai-q6:qcom,msm-dai-q6-sb-7-rx: ASoC: cpu DAI prepare error: -22

01-03 07:15:39.340     0     0 E soc_pcm_prepare: Issue stop stream for codec_dai due to op failure -22 = ret

01-03 07:15:39.340     0     0 E SLIMBUS_7_RX: ASoC: backend prepare failed -22

高通给了一个patch audio-kernel.git-98afffc24da14e29bf33817b6a87bfd2ec337deb.patch, 查看这个patch已经在当前系统中存在了。

-------- Qcom comment -------------

From the logs I see the below AFE failure which is causing this No Audio issue

05-13 11:21:09.653 19415 19500 D A2dpStateMachine: Connection state 60:F4:3A:B2:E8:8D: DISCONNECTED->CONNECTING
05-13 11:21:19.747 19415 19500 D A2dpStateMachine: Connection state 60:F4:3A:B2:E8:8D: CONNECTING->CONNECTED

05-13 11:21:19.752 19415 19500 D A2dpStateMachine: A2DP Playing state : device: 60:F4:3A:B2:E8:8D State:PLAYING->NOT_PLAYING

05-13 11:21:35.786 19415 19500 D A2dpStateMachine: A2DP Playing state : device: 60:F4:3A:B2:E8:8D State:NOT_PLAYING->PLAYING

05-13 11:21:35.792 20266 20455 D a2dp_offload: a2dp_set_backend_cfg: set afe enc channels =Two

05-13 11:21:35.792 20266 20455 D a2dp_offload: start A2DP playback total active sessions :1

05-13 11:21:35.792 20266 20455 I soundtrigger: audio_extn_sound_trigger_update_device_status: device 0x2d of type 0 for Event 1, with Raise=0

05-13 11:21:35.792 20266 20455 D audio_route: Apply path: bt-a2dp

01-03 07:15:39.339     0     0 I afe_send_hw_delay: port_id 0x400e rate 44100 delay_usec 0 status 0

01-03 07:15:39.340     0     0 E q6afe_load_avcs_modules: Not enough ports available

01-03 07:15:39.340     0     0 E __afe_port_start: encoder load for port 0x400e failed -22

01-03 07:15:39.340     0     0 E msm_dai_q6_prepare: afe_port_start_v2 failed error: -22

01-03 07:15:39.340     0     0 E msm-dai-q6-dev soc: qcom,msm-dai-q6:qcom,msm-dai-q6-sb-7-rx: fail to open AFE port 0x400e

01-03 07:15:39.340     0     0 E msm-dai-q6-dev soc: qcom,msm-dai-q6:qcom,msm-dai-q6-sb-7-rx: ASoC: cpu DAI prepare error: -22

01-03 07:15:39.340     0     0 E soc_pcm_prepare: Issue stop stream for codec_dai due to op failure -22 = ret

01-03 07:15:39.340     0     0 E SLIMBUS_7_RX: ASoC: backend prepare failed -22

05-13 11:21:35.820  2815  2829 E Parcel  : Expecting header 0x53595354 but found 0x0. Mixing copies of libbinder?

05-13 11:21:35.822 20266 20455 E audio_hw_primary: pcm_open_prepare_helper: pcm_prepare returned -1

05-13 11:21:35.834 20266 20455 D hardware_info: hw_info_append_hw_type : device_name = bt-a2dp

05-13 11:21:35.834 20266 20455 D audio_hw_primary: disable_snd_device: snd_device(45: bt-a2dp)

05-13 11:21:35.896 19415 19500 D A2dpStateMachine: A2DP Playing state : device: 60:F4:3A:B2:E8:8D State:PLAYING->NOT_PLAYING

05-13 11:21:36.024 19415 19500 D A2dpStateMachine: A2DP Playing state : device: 60:F4:3A:B2:E8:8D State:NOT_PLAYING->PLAYING

05-13 11:21:36.110 19415 19500 D A2dpStateMachine: A2DP Playing state : device: 60:F4:3A:B2:E8:8D State:PLAYING->NOT_PLAYING

05-13 11:21:36.240 19415 19500 D A2dpStateMachine: A2DP Playing state : device: 60:F4:3A:B2:E8:8D State:NOT_PLAYING->PLAYING

05-13 11:21:36.315 19415 19500 D A2dpStateMachine: A2DP Playing state : device: 60:F4:3A:B2:E8:8D State:PLAYING->NOT_PLAYING

05-13 11:21:36.425 19415 19500 D A2dpStateMachine: A2DP Playing state : device: 60:F4:3A:B2:E8:8D State:NOT_PLAYING->PLAYING

#21 - 2023-05-18 14:32 - CD LC 陶洪普

- Category changed from LC to AUDIO-FW

- Assignee changed from CD LC 陶洪普 to CD BSP-唐金泽

Hi,

请参照上面两条Comments, 提示AFE port打开失败。

请帮继续分析该问题，谢谢！

#22 - 2023-05-22 18:08 - CD BSP-唐金泽

@01-03 07:15:39.339 0 0 I afe_send_hw_delay: port_id 0x400e rate 44100 delay_usec 0 status 0

01-03 07:15:39.340 0 0 E q6afe_load_avcs_modules: Not enough ports available

01-03 07:15:39.340 0 0 E __afe_port_start: encoder load for port 0x400e failed -22

01-03 07:15:39.340 0 0 E msm_dai_q6_prepare: afe_port_start_v2 failed error: -22

01-03 07:15:39.340 0 0 E msm-dai-q6-dev soc: qcom,msm-dai-q6:qcom,msm-dai-q6-sb-7-rx: fail to open AFE port 0x400e

01-03 07:15:39.340 0 0 E msm-dai-q6-dev soc: qcom,msm-dai-q6:qcom,msm-dai-q6-sb-7-rx: ASoC: cpu DAI prepare error: -22

01-03 07:15:39.340 0 0 E soc_pcm_prepare: Issue stop stream for codec_dai due to op failure -22 = ret

01-03 07:15:39.340 0 0 E SLIMBUS_7_RX: ASoC: backend prepare failed -22

05-13 11:21:35.820 2815 2829 E Parcel : Expecting header 0x53595354 but found 0x0. Mixing copies of libbinder?

05-13 11:21:35.822 20266 20455 E audio_hw_primary: pcm_open_prepare_helper: pcm_prepare returned -1
05-13 11:21:35.834 20266 20455 D hardware_info: hw_info_append_hw_type : device_name = bt-a2dp

05-13 11:21:35.834 20266 20455 D audio_hw_primary: disable_snd_device: snd_device(45: bt-a2dp)@

以上程序，在最初log部分已经出现，并非根本原因。

同步提交Qualcomm Case进行跟进。

#23 - 2023-05-23 11:46 - CD BSP-唐金泽

Qualcomm case 06637554

#24 - 2023-05-31 13:56 - Multimedia组-RD3_TSCD 梁卿山

- Category changed from AUDIO-FW to BSP

#25 - 2023-06-02 10:16 - CDTS-TEST 周婷

- Assignee changed from CD BSP-唐金泽 to CD MM唐驭俊

#26 - 2023-06-02 19:12 - CDTS-TEST 周婷

- Assignee changed from CD MM唐驭俊 to Multimedia组-RD3_TSCD 梁卿山

#27 - 2023-06-08 17:21 - CDTS-TEST 周婷

- Category changed from BSP to AUDIO-FW

#28 - 2023-06-12 18:19 - CD MM唐驭俊

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD BSP汪凯

#29 - 2023-08-02 10:13 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP汪凯 to 物联网测试组_TSCD 王维

- Resolution changed from -- to INVALID

- Root cause set to 该问题的测试场景不合理，需要连接中控测试，该问题申请关闭。

Hi ALL

该问题的测试场景不合理，需要连接中控测试，该问题申请关闭。

#30 - 2023-08-24 17:24 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

非常规场景，先关闭BUG，后续有新问题再新提BUG

#31 - 2023-08-24 17:24 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

666.hdf 1 MB 2023-04-23 物联网测试组_CDTS  唐霞 

423-5555.log 4.63 MB 2023-04-23 物联网测试组_CDTS  唐霞 

513-22log.txt 13.2 MB 2023-05-15 物联网测试组_CDTS  唐霞 
btsnoop_hci.log.filtered.7z 181 KB 2023-05-15 物联网测试组_CDTS  唐霞 
